diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 5115b51cb7ed38bbf15fde9c22a06fffffa9e75a..bc6a47af9ed14daad174b204a384fcf587d4e959 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -4257,7 +4257,7 @@ test_116() {
 	    echo "ok"
 	else
 	    echo "failed - QOS mode won't be used"
-	    error "QOS imbalance criteria not met"
+	    error_ignore "QOS imbalance criteria not met"
 	    return
 	fi
 
@@ -4298,7 +4298,7 @@ test_116() {
         MAXC=$($GETSTRIPE --obd $UUID $DIR/$tdir | wc -l)
 	echo "$MAXC files created on larger OST $MAXI1"
 	[ $MINC -gt 0 ] && echo "Wrote $(($MAXC * 100 / $MINC - 100))% more files to larger OST $MAXI1"
-	[ $MAXC -gt $MINC ] || error "stripe QOS didn't balance free space"
+	[ $MAXC -gt $MINC ] || error_ignore "stripe QOS didn't balance free space"
 }
 run_test 116 "stripe QOS: free space balance ==================="